package model

import (
	"time"
)

type TaExperienceCard struct {
	CardId     string    `xorm:"not null pk VARCHAR(64)"`
	CardTypeId string    `xorm:"VARCHAR(64)"`
	SendType   string    `xorm:"comment('0案场 1渠道') VARCHAR(32)"`
	VideoUrl   string    `xorm:"TEXT"`
	CoverUrl   string    `xorm:"TEXT"`
	Price      float32   `xorm:"FLOAT(64)"`
	StartDate  time.Time `xorm:"DATETIME"`
	EndDate    time.Time `xorm:"DATETIME"`
	TotalCount int       `xorm:"INT(11)"`
	SentCount  int       `xorm:"INT(11)"`
	UsedCount  int       `xorm:"INT(11)"`
	Status     string    `xorm:"comment('private未发布 public发布 over过期') VARCHAR(32)"`
	CaseId     string    `xorm:"VARCHAR(64)"`
	OrgId      string    `xorm:"VARCHAR(64)"`
	CreateDate time.Time `xorm:"DATETIME"`
	CreateUser string    `xorm:"VARCHAR(64)"`
	IsOver     int       `xorm:"TINYINT(1)"`
}
